﻿using System.Windows.Controls;
using System;

namespace SilverlightSIPClient
{
    public class ButtonEx : Button
    {
        public event EventHandler MouseLeftButtonUpEx;

        protected override void OnMouseLeftButtonUp(System.Windows.Input.MouseButtonEventArgs e)
        {
            base.OnMouseLeftButtonUp(e);

            var handler = MouseLeftButtonUpEx;

            if (handler != null)
                handler(this, EventArgs.Empty);
        }
    }
}
